<div class="info-container">
    <!-- Row -->
    <mat-grid-list cols="5" gutterSize="10px" rowHeight="1.7:2">
        
        <div *ngFor="let playlist of playlists">
            <mat-grid-tile >
                <a class="info-link" routerLink="/details/{{ playlist.id }}">

                    <div class="custom-card" style="background-image: url({{playlist.pictureUrl}});">
                        <div class="info" style="display: inline-grid;">
                            <span class="title"> 
                                {{ playlist.name }} 
                            </span>
                            <span class="item-rank">
                                <mat-icon style="vertical-align: middle;">star_outline</mat-icon>
                                {{ playlist.rank | number:'.0-2':'en-GB' }}
                            </span>
                            <span class="item-duration"> 
                                <mat-icon style="vertical-align: middle;">query_builder</mat-icon>
                                {{ playlist.totalPlaytime | minutes  }} 
                            </span>
                        </div>
                    </div>

                </a>
            </mat-grid-tile>
        </div>
    </mat-grid-list>

</div>
